# class Gem::UnknownCommandSpellChecker

### Attributes

error [R]

### Public Class Methods

new (error)
Source

    # File lib/rubygems/unknown_command_spell_checker.rb, line 6
    def initialize(error)
      @error = error
    end

### Public Instance Methods

corrections ()
Source

    # File lib/rubygems/unknown_command_spell_checker.rb, line 10
    def corrections
      @corrections ||=
        spell_checker.correct(error.unknown_command).map(&:inspect)
    end

### Private Instance Methods

spell_checker ()
Source

    # File lib/rubygems/unknown_command_spell_checker.rb, line 17
    def spell_checker
      dictionary = Gem::CommandManager.instance.command_names
      DidYouMean::SpellChecker.new(dictionary: dictionary)
    end